cloudstack-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bfede...@apache.org
Subject [9/17] git commit: refs/heads/ui-multiple-nics - appliance: Add veewee definition for 64bit systemvm template
Date Mon, 11 Mar 2013 17:31:46 GMT
appliance: Add veewee definition for 64bit systemvm template

Signed-off-by: Rohit Yadav <bhaisaab@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/commit/9f4444c9
Tree: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/tree/9f4444c9
Diff: http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/diff/9f4444c9

Branch: refs/heads/ui-multiple-nics
Commit: 9f4444c9e41ab5dbd6e2603533b9a47af759bbd3
Parents: 603b5ad
Author: Rohit Yadav <bhaisaab@apache.org>
Authored: Mon Mar 11 14:10:44 2013 +0530
Committer: Rohit Yadav <bhaisaab@apache.org>
Committed: Mon Mar 11 14:10:44 2013 +0530

----------------------------------------------------------------------
 .../definitions/systemvmtemplate64/base.sh         |   25 +
 .../definitions/systemvmtemplate64/cleanup.sh      |   21 +
 .../definitions/systemvmtemplate64/definition.rb   |   45 ++
 .../definitions/systemvmtemplate64/postinstall.sh  |  220 +++++++++
 .../definitions/systemvmtemplate64/preseed.cfg     |  357 +++++++++++++++
 .../definitions/systemvmtemplate64/zerodisk.sh     |   15 +
 6 files changed, 683 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/9f4444c9/tools/appliance/definitions/systemvmtemplate64/base.sh
----------------------------------------------------------------------
diff --git a/tools/appliance/definitions/systemvmtemplate64/base.sh b/tools/appliance/definitions/systemvmtemplate64/base.sh
new file mode 100644
index 0000000..d6faea0
--- /dev/null
+++ b/tools/appliance/definitions/systemvmtemplate64/base.sh
@@ -0,0 +1,25 @@
+# Update the box
+apt-get -y update
+#apt-get -y install linux-headers-$(uname -r) build-essential
+#apt-get -y install zlib1g-dev libssl-dev libreadline-gplv2-dev
+apt-get -y install curl unzip
+
+# Set up sudo
+echo 'vagrant ALL=NOPASSWD:ALL' > /etc/sudoers.d/vagrant
+
+# Tweak sshd to prevent DNS resolution (speed up logins)
+echo 'UseDNS no' >> /etc/ssh/sshd_config
+
+# Remove 5s grub timeout to speed up booting
+cat <<EOF > /etc/default/grub
+# If you change this file, run 'update-grub' afterwards to update
+# /boot/grub/grub.cfg.
+
+GRUB_DEFAULT=0
+GRUB_TIMEOUT=0
+GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
+GRUB_CMDLINE_LINUX_DEFAULT="quiet"
+GRUB_CMDLINE_LINUX="debian-installer=en_US"
+EOF
+
+update-grub

http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/9f4444c9/tools/appliance/definitions/systemvmtemplate64/cleanup.sh
----------------------------------------------------------------------
diff --git a/tools/appliance/definitions/systemvmtemplate64/cleanup.sh b/tools/appliance/definitions/systemvmtemplate64/cleanup.sh
new file mode 100644
index 0000000..9e98ab0
--- /dev/null
+++ b/tools/appliance/definitions/systemvmtemplate64/cleanup.sh
@@ -0,0 +1,21 @@
+# Clean up
+#apt-get -y remove linux-headers-$(uname -r) build-essential
+apt-get -y remove dictionaries-common busybox
+apt-get -y autoremove
+apt-get autoclean
+apt-get clean
+
+# Removing leftover leases and persistent rules
+echo "cleaning up dhcp leases"
+rm /var/lib/dhcp/*
+
+# Make sure Udev doesn't block our network
+echo "cleaning up udev rules"
+rm /etc/udev/rules.d/70-persistent-net.rules
+mkdir /etc/udev/rules.d/70-persistent-net.rules
+rm -rf /dev/.udev/
+rm /lib/udev/rules.d/75-persistent-net-generator.rules
+
+echo "Adding a 2 sec delay to the interface up, to make the dhclient happy"
+echo "pre-up sleep 2" >> /etc/network/interfaces
+

http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/9f4444c9/tools/appliance/definitions/systemvmtemplate64/definition.rb
----------------------------------------------------------------------
diff --git a/tools/appliance/definitions/systemvmtemplate64/definition.rb b/tools/appliance/definitions/systemvmtemplate64/definition.rb
new file mode 100644
index 0000000..35ef878
--- /dev/null
+++ b/tools/appliance/definitions/systemvmtemplate64/definition.rb
@@ -0,0 +1,45 @@
+Veewee::Definition.declare({
+  :cpu_count => '1',
+  :memory_size=> '256',
+  :disk_size => '2000', :disk_format => 'VDI', :hostiocache => 'off',
+  :os_type_id => 'Debian_64',
+  :iso_file => "debian-wheezy-DI-rc1-amd64-netinst.iso",
+  :iso_src => "http://cdimage.debian.org/cdimage/wheezy_di_rc1/amd64/iso-cd/debian-wheezy-DI-rc1-amd64-netinst.iso",
+  :iso_md5 => "412f77d4b98adf2a7d575745fd282d78",
+  :iso_download_timeout => "1000",
+  :boot_wait => "10", :boot_cmd_sequence => [
+     '<Esc>',
+     'install ',
+     'preseed/url=http://%IP%:%PORT%/preseed.cfg ',
+     'debian-installer=en_US ',
+     'auto ',
+     'locale=en_US ',
+     'kbd-chooser/method=us ',
+     'netcfg/get_hostname=systemvm ',
+     'netcfg/get_domain=apache.org ',
+     'fb=false ',
+     'debconf/frontend=noninteractive ',
+     'console-setup/ask_detect=false ',
+     'console-keymaps-at/keymap=us ',
+     'keyboard-configuration/xkb-keymap=us ',
+     '<Enter>'
+  ],
+  :kickstart_port => "7122",
+  :kickstart_timeout => "10000",
+  :kickstart_file => "preseed.cfg",
+  :ssh_login_timeout => "10000",
+  :ssh_user => "root",
+  :ssh_password => "password",
+  :ssh_key => "",
+  :ssh_host_port => "7222",
+  :ssh_guest_port => "22",
+  :sudo_cmd => "echo '%p'|sudo -S sh '%f'",
+  :shutdown_cmd => "halt -p",
+  :postinstall_files => [
+    "base.sh",
+    "postinstall.sh",
+    "cleanup.sh",
+    "zerodisk.sh"
+  ],
+  :postinstall_timeout => "10000"
+})

http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/9f4444c9/tools/appliance/definitions/systemvmtemplate64/postinstall.sh
----------------------------------------------------------------------
diff --git a/tools/appliance/definitions/systemvmtemplate64/postinstall.sh b/tools/appliance/definitions/systemvmtemplate64/postinstall.sh
new file mode 100644
index 0000000..8e745eb
--- /dev/null
+++ b/tools/appliance/definitions/systemvmtemplate64/postinstall.sh
@@ -0,0 +1,220 @@
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -x
+
+ROOTPW=password
+HOSTNAME=systemvm
+CLOUDSTACK_RELEASE=4.2.0
+
+install_packages() {
+  DEBIAN_FRONTEND=noninteractive
+  DEBIAN_PRIORITY=critical
+
+  # Basic packages
+  apt-get --no-install-recommends -q -y --force-yes install rsyslog logrotate cron chkconfig
insserv net-tools ifupdown vim-tiny netbase iptables
+  apt-get --no-install-recommends -q -y --force-yes install openssh-server openssl e2fsprogs
dhcp3-client tcpdump socat wget
+  # apt-get --no-install-recommends -q -y --force-yes install grub-legacy
+  apt-get --no-install-recommends -q -y --force-yes install python bzip2 sed gawk diffutils
grep gzip less tar telnet ftp rsync traceroute psmisc lsof procps monit inetutils-ping iputils-arping
httping
+  apt-get --no-install-recommends -q -y --force-yes install dnsutils zip unzip ethtool uuid
file iproute acpid virt-what sudo
+
+  # sysstat
+  echo 'sysstat sysstat/enable boolean true' | debconf-set-selections
+  apt-get --no-install-recommends -q -y --force-yes install sysstat
+  # apache
+  apt-get --no-install-recommends -q -y --force-yes install apache2 ssl-cert
+  # haproxy
+  apt-get --no-install-recommends -q -y --force-yes install haproxy
+  # dnsmasq
+  apt-get --no-install-recommends -q -y --force-yes install dnsmasq
+  # nfs client
+  apt-get --no-install-recommends -q -y --force-yes install nfs-common
+
+  # vpn stuff
+  apt-get --no-install-recommends -q -y --force-yes install xl2tpd bcrelay ppp ipsec-tools
tdb-tools
+  echo "openswan openswan/install_x509_certificate boolean false" | debconf-set-selections
+  echo "openswan openswan/install_x509_certificate seen true" | debconf-set-selections
+  apt-get --no-install-recommends -q -y --force-yes install openswan
+
+  # vmware tools
+  apt-get --no-install-recommends -q -y --force-yes install open-vm-tools
+  # xenstore utils
+  apt-get --no-install-recommends -q -y --force-yes install xenstore-utils libxenstore3.0
+  # keepalived and conntrackd for redundant router
+  apt-get --no-install-recommends -q -y --force-yes install keepalived conntrackd ipvsadm
libnetfilter-conntrack3 libnl1
+  # ipcalc
+  apt-get --no-install-recommends -q -y --force-yes install ipcalc
+  # java
+  apt-get --no-install-recommends -q -y --force-yes install  default-jre-headless
+
+  echo "iptables-persistent iptables-persistent/autosave_v4 boolean true" | debconf-set-selections
+  echo "iptables-persistent iptables-persistent/autosave_v6 boolean true" | debconf-set-selections
+  apt-get --no-install-recommends -q -y --force-yes install iptables-persistent
+}
+
+setup_accounts() {
+  # Setup sudo to allow no-password sudo for "admin"
+  groupadd -r admin
+  # Create a 'cloud' user if it's not there
+  id cloud
+  if [[ $? -ne 0 ]]
+  then
+    useradd -G admin cloud
+  else
+    usermod -a -G admin cloud
+  fi
+  echo "root:$ROOTPW" | chpasswd
+  echo "cloud:`openssl rand -base64 32`" | chpasswd
+  sed -i -e '/Defaults\s\+env_reset/a Defaults\texempt_group=admin' /etc/sudoers
+  sed -i -e 's/%admin ALL=(ALL) ALL/%admin ALL=NOPASSWD:ALL/g' /etc/sudoers
+  # Disable password based authentication via ssh, this will take effect on next reboot
+  sed -i -e 's/^.*PasswordAuthentication .*$/PasswordAuthentication no/g' /etc/ssh/sshd_config
+  # Secure ~/.ssh
+  mkdir -p /home/cloud/.ssh
+  chmod 700 /home/cloud/.ssh
+}
+
+fix_nameserver() {
+  # Replace /etc/resolv.conf also
+  cat > /etc/resolv.conf << EOF
+nameserver 8.8.8.8
+nameserver 4.4.4.4
+EOF
+}
+
+fix_inittab() {
+  # Fix inittab
+  cat >> /etc/inittab << EOF
+
+vc:2345:respawn:/sbin/getty 38400 hvc0
+EOF
+}
+
+fix_acpid() {
+  # Fix acpid
+  mkdir -p /etc/acpi/events
+  cat >> /etc/acpi/events/power << EOF
+event=button/power.*
+action=/usr/local/sbin/power.sh "%e"
+EOF
+  cat >> /usr/local/sbin/power.sh << EOF
+#!/bin/bash
+/sbin/poweroff
+EOF
+  chmod a+x /usr/local/sbin/power.sh
+}
+
+fix_hostname() {
+  # Fix hostname in openssh-server generated keys
+  sed -i "s/root@\(.*\)$/root@$HOSTNAME/g" /etc/ssh/ssh_host_*.pub
+  # Fix hostname to override one provided by dhcp during vm build
+  echo "$HOSTNAME" > /etc/hostname
+  hostname $HOSTNAME
+  # Delete entry in /etc/hosts derived from dhcp
+  sed -i '/127.0.1.1/d' /etc/hosts
+}
+
+fix_locale() {
+  cat >> /etc/default/locale  << EOF
+LANG=en_US.UTF-8
+LC_ALL=en_US.UTF-8
+EOF
+  cat >> /etc/locale.gen  << EOF
+en_US.UTF-8 UTF-8
+EOF
+
+  locale-gen en_US.UTF-8
+}
+
+do_fixes() {
+  fix_nameserver
+  fix_inittab
+  fix_acpid
+  fix_hostname
+  fix_locale
+}
+
+configure_apache2() {
+   # Enable ssl, rewrite and auth
+   a2enmod ssl rewrite auth_basic auth_digest
+   a2ensite default-ssl
+   # Backup stock apache configuration since we may modify it in Secondary Storage VM
+   cp /etc/apache2/sites-available/default /etc/apache2/sites-available/default.orig
+   cp /etc/apache2/sites-available/default-ssl /etc/apache2/sites-available/default-ssl.orig
+}
+
+configure_services() {
+  mkdir -p /var/www/html
+  mkdir -p /opt/cloud/bin
+  mkdir -p /var/cache/cloud
+  mkdir -p /usr/share/cloud
+  mkdir -p /usr/local/cloud
+  mkdir -p /root/.ssh
+  # Fix haproxy directory issue
+  mkdir -p /var/lib/haproxy
+
+  # Get config files from master
+  snapshot_url="https://git-wip-us.apache.org/repos/asf?p=incubator-cloudstack.git;a=snapshot;h=HEAD;sf=tgz"
+  snapshot_dir="/opt/incubator-cloudstack*"
+  cd /opt
+  wget $snapshot_url -O cloudstack.tar.gz
+  tar -zxvf cloudstack.tar.gz
+  cp -rv $snapshot_dir/patches/systemvm/debian/config/* /
+  cp -rv $snapshot_dir/patches/systemvm/debian/vpn/* /
+  mkdir -p /usr/share/cloud/
+  cd $snapshot_dir/patches/systemvm/debian/config
+  tar -cvf /usr/share/cloud/cloud-scripts.tar *
+  cd $snapshot_dir/patches/systemvm/debian/vpn
+  tar -rvf /usr/share/cloud/cloud-scripts.tar *
+  cd /opt
+  rm -fr $snapshot_dir cloudstack.tar.gz
+
+  chkconfig --add cloud-early-config
+  chkconfig cloud-early-config on
+  chkconfig --add cloud-passwd-srvr
+  chkconfig cloud-passwd-srvr off
+  chkconfig --add cloud
+  chkconfig cloud off
+  chkconfig monit off
+  chkconfig xl2tpd off
+}
+
+do_signature() {
+  mkdir -p /var/cache/cloud/
+  gzip -c /usr/share/cloud/cloud-scripts.tar > /usr/share/cloud/cloud-scripts.tgz
+  md5sum /usr/share/cloud/cloud-scripts.tgz | awk '{print $1}' > /var/cache/cloud/cloud-scripts-signature
+  echo "Cloudstack Release $CLOUDSTACK_RELEASE $(date)" > /etc/cloudstack-release
+}
+
+begin=$(date +%s)
+
+echo "*************INSTALLING PACKAGES********************"
+install_packages
+echo "*************DONE INSTALLING PACKAGES********************"
+setup_accounts
+echo "*************DONE ACCOUNT SETUP********************"
+configure_services
+configure_apache2
+echo "*************DONE SETTING UP SERVICES********************"
+do_fixes
+echo "*************DONE FIXING CONFIGURATION********************"
+do_signature
+
+fin=$(date +%s)
+t=$((fin-begin))
+
+echo "Signed systemvm build, finished building systemvm appliance in $t seconds"

http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/9f4444c9/tools/appliance/definitions/systemvmtemplate64/preseed.cfg
----------------------------------------------------------------------
diff --git a/tools/appliance/definitions/systemvmtemplate64/preseed.cfg b/tools/appliance/definitions/systemvmtemplate64/preseed.cfg
new file mode 100644
index 0000000..ac9edd3
--- /dev/null
+++ b/tools/appliance/definitions/systemvmtemplate64/preseed.cfg
@@ -0,0 +1,357 @@
+#### Contents of the preconfiguration file (for squeeze)
+### Localization
+# Locale sets language and country.
+d-i debian-installer/locale string en_US
+
+# Keyboard selection.
+#d-i console-tools/archs select at
+d-i console-keymaps-at/keymap select us
+# Example for a different keyboard architecture
+#d-i console-keymaps-usb/keymap select mac-usb-us
+
+### Network configuration
+# netcfg will choose an interface that has link if possible. This makes it
+# skip displaying a list if there is more than one interface.
+d-i netcfg/choose_interface select auto
+
+# To pick a particular interface instead:
+#d-i netcfg/choose_interface select eth1
+
+# If you have a slow dhcp server and the installer times out waiting for
+# it, this might be useful.
+#d-i netcfg/dhcp_timeout string 60
+
+# If you prefer to configure the network manually, uncomment this line and
+# the static network configuration below.
+#d-i netcfg/disable_dhcp boolean true
+
+# If you want the preconfiguration file to work on systems both with and
+# without a dhcp server, uncomment these lines and the static network
+# configuration below.
+#d-i netcfg/dhcp_failed note
+#d-i netcfg/dhcp_options select Configure network manually
+
+# Static network configuration.
+#d-i netcfg/get_nameservers string 192.168.1.1
+#d-i netcfg/get_ipaddress string 192.168.1.42
+#d-i netcfg/get_netmask string 255.255.255.0
+#d-i netcfg/get_gateway string 192.168.1.1
+#d-i netcfg/confirm_static boolean true
+
+# Any hostname and domain names assigned from dhcp take precedence over
+# values set here. However, setting the values still prevents the questions
+# from being shown, even if values come from dhcp.
+d-i netcfg/get_hostname string systemvm
+d-i netcfg/get_domain string cloudstack.org
+
+# Disable that annoying WEP key dialog.
+d-i netcfg/wireless_wep string
+# The wacky dhcp hostname that some ISPs use as a password of sorts.
+#d-i netcfg/dhcp_hostname string radish
+
+# If non-free firmware is needed for the network or other hardware, you can
+# configure the installer to always try to load it, without prompting. Or
+# change to false to disable asking.
+#d-i hw-detect/load_firmware boolean true
+
+### Network console
+# Use the following settings if you wish to make use of the network-console
+# component for remote installation over SSH. This only makes sense if you
+# intend to perform the remainder of the installation manually.
+#d-i anna/choose_modules string network-console
+#d-i network-console/password password r00tme
+#d-i network-console/password-again password r00tme
+
+### Mirror settings
+# If you select ftp, the mirror/country string does not need to be set.
+#d-i mirror/protocol string ftp
+d-i mirror/country string manual
+d-i mirror/http/hostname string http.us.debian.org
+d-i mirror/http/directory string /debian
+d-i mirror/http/proxy string
+
+# Suite to install.
+#d-i mirror/suite string testing
+# Suite to use for loading installer components (optional).
+#d-i mirror/udeb/suite string testing
+
+### Clock and time zone setup
+# Controls whether or not the hardware clock is set to UTC.
+d-i clock-setup/utc boolean true
+
+# You may set this to any valid setting for $TZ; see the contents of
+# /usr/share/zoneinfo/ for valid values.
+d-i time/zone string UTC
+
+# Controls whether to use NTP to set the clock during the install
+d-i clock-setup/ntp boolean true
+# NTP server to use. The default is almost always fine here.
+#d-i clock-setup/ntp-server string ntp.example.com
+
+### Partitioning
+# If the system has free space you can choose to only partition that space.
+#d-i partman-auto/init_automatically_partition select biggest_free
+
+# Alternatively, you can specify a disk to partition. The device name must
+# be given in traditional non-devfs format.
+# Note: A disk must be specified, unless the system has only one disk.
+# For example, to use the first SCSI/SATA hard disk:
+d-i partman-auto/disk string /dev/sda
+# In addition, you'll need to specify the method to use.
+# The presently available methods are: "regular", "lvm" and "crypto"
+d-i partman-auto/method string regular
+
+# If one of the disks that are going to be automatically partitioned
+# contains an old LVM configuration, the user will normally receive a
+# warning. This can be preseeded away...
+#d-i partman-lvm/device_remove_lvm boolean true
+# The same applies to pre-existing software RAID array:
+#d-i partman-md/device_remove_md boolean true
+
+# And the same goes for the confirmation to write the lvm partitions.
+#d-i partman-lvm/confirm boolean true
+#d-i partman-lvm/confirm_nooverwrite boolean true
+
+#d-i partman/choose_partition select finish
+#d-i partman-auto-lvm/guided_size string max
+
+# You can choose one of the three predefined partitioning recipes:
+# - atomic: all files in one partition
+# - home:   separate /home partition
+# - multi:  separate /home, /usr, /var, and /tmp partitions
+d-i partman-auto/choose_recipe select atomic
+#d-i partman/default_filesystem string ext3
+
+# Or provide a recipe of your own...
+# The recipe format is documented in the file devel/partman-auto-recipe.txt.
+# If you have a way to get a recipe file into the d-i environment, you can
+# just point at it.
+#d-i partman-auto/expert_recipe_file string /hd-media/recipe
+
+d-i partman-auto/expert_recipe string                         \
+      boot-root ::                                            \
+              40 50 100 ext4                                  \
+                      $primary{ } $bootable{ }                \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext4 }    \
+                      mountpoint{ /boot }                     \
+              .                                               \
+              400 40 500 ext4                                 \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext4 }    \
+                      mountpoint{ / }                         \
+              .                                               \
+              60 100 200 ext4                                 \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext4 }    \
+                      mountpoint{ /home }                     \
+              .                                               \
+              500 30 1000 ext4                                \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext4 }    \
+                      mountpoint{ /usr }                      \
+              .                                               \
+              400 40 500 ext4                                 \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext4 }    \
+                      mountpoint{ /opt }                      \
+              .                                               \
+              500 60 1000 ext4                                \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext4 }    \
+                      mountpoint{ /var }                      \
+              .                                               \
+              100 70 400 ext4                                 \
+                      method{ format } format{ }              \
+                      use_filesystem{ } filesystem{ ext4 }    \
+                      mountpoint{ /tmp }                      \
+              .                                               \
+              64 512 300% linux-swap                          \
+                      method{ swap } format{ }                \
+              .
+
+# If not, you can put an entire recipe into the preconfiguration file in one
+# (logical) line. This example creates a small /boot partition, suitable
+# swap, and uses the rest of the space for the root partition:
+#d-i partman-auto/expert_recipe string                         \
+#      boot-root ::                                            \
+#              40 50 100 ext3                                  \
+#                      $primary{ } $bootable{ }                \
+#                      method{ format } format{ }              \
+#                      use_filesystem{ } filesystem{ ext3 }    \
+#                      mountpoint{ /boot }                     \
+#              .                                               \
+#              500 10000 1000000000 ext3                       \
+#                      method{ format } format{ }              \
+#                      use_filesystem{ } filesystem{ ext3 }    \
+#                      mountpoint{ / }                         \
+#              .                                               \
+#              64 512 300% linux-swap                          \
+#                      method{ swap } format{ }                \
+#              .
+
+#The preseed line that "selects finish" needs to be in a certain order in your preseed, the
example-preseed does not follow this.
+#http://ubuntuforums.org/archive/index.php/t-1504045.html
+
+# This makes partman automatically partition without confirmation, provided
+# that you told it what to do using one of the methods above.
+#d-i partman-partitioning/confirm_write_new_label boolean true
+d-i partman/confirm_write_new_label boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+
+### Base system installation
+# Select the initramfs generator used to generate the initrd for 2.6 kernels.
+#d-i base-installer/kernel/linux/initramfs-generators string yaird
+
+# The kernel image (meta) package to be installed; "none" can be used if no
+# kernel is to be installed.
+#d-i base-installer/kernel/image string linux-image-2.6-486
+
+### Account setup
+# Skip creation of a root account (normal user account will be able to
+# use sudo).
+d-i passwd/root-login boolean true
+# Alternatively, to skip creation of a normal user account.
+#d-i passwd/make-user boolean false
+
+# Root password, either in clear text
+d-i passwd/root-password password password
+d-i passwd/root-password-again password password
+# or encrypted using an MD5 hash.
+#d-i passwd/root-password-crypted password [MD5 hash]
+
+# To create a normal user account.
+d-i passwd/user-fullname string Cloud Stack
+d-i passwd/username string cloud
+# Normal user's password, either in clear text
+d-i passwd/user-password password cloud
+d-i passwd/user-password-again password cloud
+# or encrypted using an MD5 hash.
+#d-i passwd/user-password-crypted password [MD5 hash]
+# Create the first user with the specified UID instead of the default.
+#d-i passwd/user-uid string 1010
+d-i user-setup/encrypt-home boolean false
+d-i user-setup/allow-password-weak boolean true
+
+# The user account will be added to some standard initial groups. To
+# override that, use this.
+d-i passwd/user-default-groups string audio cdrom video admin
+
+### Apt setup
+# You can choose to install non-free and contrib software.
+#d-i apt-setup/non-free boolean true
+#d-i apt-setup/contrib boolean true
+# Uncomment this if you don't want to use a network mirror.
+#d-i apt-setup/use_mirror boolean false
+# Select which update services to use; define the mirrors to be used.
+# Values shown below are the normal defaults.
+#d-i apt-setup/services-select multiselect security, volatile
+#d-i apt-setup/security_host string security.debian.org
+#d-i apt-setup/volatile_host string volatile.debian.org
+
+
+# By default the installer requires that repositories be authenticated
+# using a known gpg key. This setting can be used to disable that
+# authentication. Warning: Insecure, not recommended.
+#d-i debian-installer/allow_unauthenticated string true
+
+### Package selection
+tasksel tasksel/first multiselect ssh-server
+# If the desktop task is selected, install the kde and xfce desktops
+# instead of the default gnome desktop.
+#tasksel tasksel/desktop multiselect kde, xfce
+
+# Individual additional packages to install
+d-i pkgsel/include string openssh-server ntp acpid  sudo bzip2
+
+# Whether to upgrade packages after debootstrap.
+# Allowed values: none, safe-upgrade, full-upgrade
+d-i pkgsel/upgrade select none
+
+# Some versions of the installer can report back on what software you have
+# installed, and what software you use. The default is not to report back,
+# but sending reports helps the project determine what software is most
+# popular and include it on CDs.
+popularity-contest popularity-contest/participate boolean false
+
+### Boot loader installation
+# Grub is the default boot loader (for x86). If you want lilo installed
+# instead, uncomment this:
+#d-i grub-installer/skip boolean true
+# To also skip installing lilo, and install no bootloader, uncomment this
+# too:
+#d-i lilo-installer/skip boolean true
+
+# This is fairly safe to set, it makes grub install automatically to the MBR
+# if no other operating system is detected on the machine.
+d-i grub-installer/only_debian boolean true
+
+# This one makes grub-installer install to the MBR if it also finds some other
+# OS, which is less safe as it might not be able to boot that other OS.
+#d-i grub-installer/with_other_os boolean true
+
+# Alternatively, if you want to install to a location other than the mbr,
+# uncomment and edit these lines:
+#d-i grub-installer/only_debian boolean false
+#d-i grub-installer/with_other_os boolean false
+#d-i grub-installer/bootdev  string (hd0,0)
+# To install grub to multiple disks:
+#d-i grub-installer/bootdev  string (hd0,0) (hd1,0) (hd2,0)
+
+# Optional password for grub, either in clear text
+#d-i grub-installer/password password r00tme
+#d-i grub-installer/password-again password r00tme
+# or encrypted using an MD5 hash, see grub-md5-crypt(8).
+#d-i grub-installer/password-crypted password [MD5 hash]
+
+### Finishing up the installation
+# During installations from serial console, the regular virtual consoles
+# (VT1-VT6) are normally disabled in /etc/inittab. Uncomment the next
+# line to prevent this.
+#d-i finish-install/keep-consoles boolean true
+
+# Avoid that last message about the install being complete.
+d-i finish-install/reboot_in_progress note
+
+# This will prevent the installer from ejecting the CD during the reboot,
+# which is useful in some situations.
+#d-i cdrom-detect/eject boolean false
+
+# This is how to make the installer shutdown when finished, but not
+# reboot into the installed system.
+#d-i debian-installer/exit/halt boolean true
+# This will power off the machine instead of just halting it.
+#d-i debian-installer/exit/poweroff boolean true
+
+### Preseeding other packages
+# Depending on what software you choose to install, or if things go wrong
+# during the installation process, it's possible that other questions may
+# be asked. You can preseed those too, of course. To get a list of every
+# possible question that could be asked during an install, do an
+# installation, and then run these commands:
+#   debconf-get-selections --installer > file
+#   debconf-get-selections >> file
+
+
+#### Advanced options
+### Running custom commands during the installation
+# d-i preseeding is inherently not secure. Nothing in the installer checks
+# for attempts at buffer overflows or other exploits of the values of a
+# preconfiguration file like this one. Only use preconfiguration files from
+# trusted locations! To drive that home, and because it's generally useful,
+# here's a way to run any shell command you'd like inside the installer,
+# automatically.
+
+# This first command is run as early as possible, just after
+# preseeding is read.
+# Prevent packaged version of VirtualBox Guest Additions being installed:
+d-i preseed/early_command string sed -i \
+  '/in-target/idiscover(){/sbin/discover|grep -v VirtualBox;}' \
+  /usr/lib/pre-pkgsel.d/20install-hwpackages
+
+# This command is run just before the install finishes, but when there is
+# still a usable /target directory. You can chroot to /target and use it
+# directly, or use the apt-install and in-target commands to easily install
+# packages and run commands in the target system.

http://git-wip-us.apache.org/repos/asf/incubator-cloudstack/blob/9f4444c9/tools/appliance/definitions/systemvmtemplate64/zerodisk.sh
----------------------------------------------------------------------
diff --git a/tools/appliance/definitions/systemvmtemplate64/zerodisk.sh b/tools/appliance/definitions/systemvmtemplate64/zerodisk.sh
new file mode 100644
index 0000000..25bd8c4
--- /dev/null
+++ b/tools/appliance/definitions/systemvmtemplate64/zerodisk.sh
@@ -0,0 +1,15 @@
+# Clean up stuff copied in by veewee
+rm -fv /root/*.iso
+rm -fv /root/base.sh /root/cleanup.sh /root/postinstall.sh /root/zerodisk.sh
+rm -fv .veewee_version .veewee_params .vbox_version
+
+echo "Cleaning up"
+
+# Zero out the free space to save space in the final image:
+for path in / /boot /usr /var /opt /tmp
+do
+  dd if=/dev/zero of=$path/zero bs=1M
+  sync
+  rm -f $path/zero
+  echo "Completed zero-ing out disk on $path"
+done


Mime
View raw message